Subject: [lojban] Re: open and save

From: Pierre Abbat <[email-masked]>
Date: Thu, 9 Jan 2003 07:10:30 -0500

On Thursday 09 January 2003 06:23, robin wrote:
> Do we really want to continue the metaphor? Isn't there something else
> which would represent the state of an open file (i.e. that it is
> currently being read from / written to)? "Active" springs to mind,
> except that unless it's an executable, it's really more passive than
> active.

There is a file that is open in the operating system sense (a program has a 
file descriptor which it can use to read or write it) and there is a file 
that is open in the application sense (the application has a copy of the file 
in memory for editing). The application may open the file, read it, and close 
it, and not open it until the user tells it to save it; it's still open as 
far as the user is concerned.

What about all the other words?

phma